- libbson 1.13.1 »
- API Reference »
- Character and String Routines

# bson_strdup()

## Synopsis

    char *
    bson_strdup (const char *str);

## Parameters

- `str`: A string.

## Description

Copies `str` into a new string. If `str` is NULL, then NULL is returned.

## Returns

A newly allocated string that should be freed with bson_free().

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.